<template>
  <el-tabs style="padding:10px">
    <el-tab-pane :label="title">
      <correction-form />
    </el-tab-pane>
  </el-tabs>
</template>

<script>
import CorrectionForm from "./components/correctionForm.vue";

export default {
  name: "",
  components: {
    CorrectionForm
  },
  computed: {
    mode() {
      return this.$route.query.mode || "create";
    },
    title() {
      const mapTitle = {
        update: "订单供应商修改申请详情",
        create: "新建订单供应商修改申请"
      };
      return mapTitle[this.mode];
    }
  }
};
</script>
